package cn.yw.video.recordalarm.bean;

import cn.base.bean.BaseBean;
//[运维监控设备录像当前状态表]

public class YwrecordcurrentstateBean extends BaseBean implements java.io.Serializable {
	private String recordstateid;//[详情id]
	private String videonum;//[设备编号]
	private int channelnum;//[通道编号]
	private String channelname;//[通道名称]
	private String videocatalog;//[监控行政目录]
	private String countdate;//[检测日期]
	private String countmonth;//[检测月份]
	private int recordstate;//[录像状态]
	private int failuretype;//[故障类型]
	private String failurecause;//[故障原因]
	private int onestate;//[1点状态]
	private String onetaskid;//[1点任务id]
	private int twostate;//[2点状态]
	private String twotaskid;//[2点任务id]
	private int threestate;//[3点状态]
	private String threetaskid;//[3点任务id]
	private int fourstate;//[4点状态]
	private String fourtaskid;//[4点任务id]
	private int fivestate;//[5点状态]
	private String fivetaskid;//[5点任务id]
	private int sixstate;//[6点状态]
	private String sixtaskid;//[6点任务id]
	private int sevenstate;//[7点状态]
	private String seventaskid;//[7点任务id]
	private int eightstate;//[8点状态]
	private String eighttaskid;//[8点任务id]
	private int ninestate;//[9点状态]
	private String ninetaskid;//[9点任务id]
	private int tenstate;//[10点状态]
	private String tentaskid;//[10点任务id]
	private int elevenstate;//[11点状态]
	private String eleventaskid;//[11点任务id]
	private int twelvestate;//[12点状态]
	private String twelvetaskid;//[12点任务id]
	private int thirteenstate;//[13点状态]
	private String thirteentaskid;//[13点任务id]
	private int fourteenstate;//[14点状态]
	private String fourteentaskid;//[14点任务id]
	private int fifteenstate;//[15点状态]
	private String fifteentaskid;//[15点任务id]
	private int sixteenstate;//[16点状态]
	private String sixteentaskid;//[16点任务id]
	private int seventeenstate;//[17点状态]
	private String seventeentaskid;//[17点任务id]
	private int eighteenstate;//[18点状态]
	private String eighteentaskid;//[18点任务id]
	private int nineteenstate;//[19点状态]
	private String nineteentaskid;//[19点任务id]
	private int twentystate;//[20点状态]
	private String twentytaskid;//[20点任务id]
	private int twentyonestate;//[21点状态]
	private String twentyonetaskid;//[21点任务id]
	private int twentytwostate;//[22点状态]
	private String twentytwotaskid;//[22点任务id]
	private int twentythreestate;//[23点状态]
	private String twentythreetaskid;//[23点任务id]
	private int twentyfourstate;//[24点状态]
	private String twentyfourtaskid;//[24点任务id]
	private int recordlabelstatus;//[标记状态]
	private String recordlabeltime;//[标记时间]
	private String videolabelaccount;//[标记人员]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public void setRecordstateid(String recordstateid){
		this.recordstateid = recordstateid;
	}
	public String getRecordstateid(){
		return recordstateid;
	}
	public void setVideonum(String videonum){
		this.videonum = videonum;
	}
	public String getVideonum(){
		return videonum;
	}
	public void setChannelnum(int channelnum){
		this.channelnum = channelnum;
	}
	public int getChannelnum(){
		return channelnum;
	}
	public void setChannelname(String channelname){
		this.channelname = channelname;
	}
	public String getChannelname(){
		return channelname;
	}
	public void setVideocatalog(String videocatalog){
		this.videocatalog = videocatalog;
	}
	public String getVideocatalog(){
		return videocatalog;
	}
	public void setCountdate(String countdate){
		this.countdate = countdate;
	}
	public String getCountdate(){
		return countdate;
	}
	public void setCountmonth(String countmonth){
		this.countmonth = countmonth;
	}
	public String getCountmonth(){
		return countmonth;
	}
	public void setRecordstate(int recordstate){
		this.recordstate = recordstate;
	}
	public int getRecordstate(){
		return recordstate;
	}
	public void setFailuretype(int failuretype){
		this.failuretype = failuretype;
	}
	public int getFailuretype(){
		return failuretype;
	}
	public void setFailurecause(String failurecause){
		this.failurecause = failurecause;
	}
	public String getFailurecause(){
		return failurecause;
	}
	public void setOnestate(int onestate){
		this.onestate = onestate;
	}
	public int getOnestate(){
		return onestate;
	}
	public void setOnetaskid(String onetaskid){
		this.onetaskid = onetaskid;
	}
	public String getOnetaskid(){
		return onetaskid;
	}
	public void setTwostate(int twostate){
		this.twostate = twostate;
	}
	public int getTwostate(){
		return twostate;
	}
	public void setTwotaskid(String twotaskid){
		this.twotaskid = twotaskid;
	}
	public String getTwotaskid(){
		return twotaskid;
	}
	public void setThreestate(int threestate){
		this.threestate = threestate;
	}
	public int getThreestate(){
		return threestate;
	}
	public void setThreetaskid(String threetaskid){
		this.threetaskid = threetaskid;
	}
	public String getThreetaskid(){
		return threetaskid;
	}
	public void setFourstate(int fourstate){
		this.fourstate = fourstate;
	}
	public int getFourstate(){
		return fourstate;
	}
	public void setFourtaskid(String fourtaskid){
		this.fourtaskid = fourtaskid;
	}
	public String getFourtaskid(){
		return fourtaskid;
	}
	public void setFivestate(int fivestate){
		this.fivestate = fivestate;
	}
	public int getFivestate(){
		return fivestate;
	}
	public void setFivetaskid(String fivetaskid){
		this.fivetaskid = fivetaskid;
	}
	public String getFivetaskid(){
		return fivetaskid;
	}
	public void setSixstate(int sixstate){
		this.sixstate = sixstate;
	}
	public int getSixstate(){
		return sixstate;
	}
	public void setSixtaskid(String sixtaskid){
		this.sixtaskid = sixtaskid;
	}
	public String getSixtaskid(){
		return sixtaskid;
	}
	public void setSevenstate(int sevenstate){
		this.sevenstate = sevenstate;
	}
	public int getSevenstate(){
		return sevenstate;
	}
	public void setSeventaskid(String seventaskid){
		this.seventaskid = seventaskid;
	}
	public String getSeventaskid(){
		return seventaskid;
	}
	public void setEightstate(int eightstate){
		this.eightstate = eightstate;
	}
	public int getEightstate(){
		return eightstate;
	}
	public void setEighttaskid(String eighttaskid){
		this.eighttaskid = eighttaskid;
	}
	public String getEighttaskid(){
		return eighttaskid;
	}
	public void setNinestate(int ninestate){
		this.ninestate = ninestate;
	}
	public int getNinestate(){
		return ninestate;
	}
	public void setNinetaskid(String ninetaskid){
		this.ninetaskid = ninetaskid;
	}
	public String getNinetaskid(){
		return ninetaskid;
	}
	public void setTenstate(int tenstate){
		this.tenstate = tenstate;
	}
	public int getTenstate(){
		return tenstate;
	}
	public void setTentaskid(String tentaskid){
		this.tentaskid = tentaskid;
	}
	public String getTentaskid(){
		return tentaskid;
	}
	public void setElevenstate(int elevenstate){
		this.elevenstate = elevenstate;
	}
	public int getElevenstate(){
		return elevenstate;
	}
	public void setEleventaskid(String eleventaskid){
		this.eleventaskid = eleventaskid;
	}
	public String getEleventaskid(){
		return eleventaskid;
	}
	public void setTwelvestate(int twelvestate){
		this.twelvestate = twelvestate;
	}
	public int getTwelvestate(){
		return twelvestate;
	}
	public void setTwelvetaskid(String twelvetaskid){
		this.twelvetaskid = twelvetaskid;
	}
	public String getTwelvetaskid(){
		return twelvetaskid;
	}
	public void setThirteenstate(int thirteenstate){
		this.thirteenstate = thirteenstate;
	}
	public int getThirteenstate(){
		return thirteenstate;
	}
	public void setThirteentaskid(String thirteentaskid){
		this.thirteentaskid = thirteentaskid;
	}
	public String getThirteentaskid(){
		return thirteentaskid;
	}
	public void setFourteenstate(int fourteenstate){
		this.fourteenstate = fourteenstate;
	}
	public int getFourteenstate(){
		return fourteenstate;
	}
	public void setFourteentaskid(String fourteentaskid){
		this.fourteentaskid = fourteentaskid;
	}
	public String getFourteentaskid(){
		return fourteentaskid;
	}
	public void setFifteenstate(int fifteenstate){
		this.fifteenstate = fifteenstate;
	}
	public int getFifteenstate(){
		return fifteenstate;
	}
	public void setFifteentaskid(String fifteentaskid){
		this.fifteentaskid = fifteentaskid;
	}
	public String getFifteentaskid(){
		return fifteentaskid;
	}
	public void setSixteenstate(int sixteenstate){
		this.sixteenstate = sixteenstate;
	}
	public int getSixteenstate(){
		return sixteenstate;
	}
	public void setSixteentaskid(String sixteentaskid){
		this.sixteentaskid = sixteentaskid;
	}
	public String getSixteentaskid(){
		return sixteentaskid;
	}
	public void setSeventeenstate(int seventeenstate){
		this.seventeenstate = seventeenstate;
	}
	public int getSeventeenstate(){
		return seventeenstate;
	}
	public void setSeventeentaskid(String seventeentaskid){
		this.seventeentaskid = seventeentaskid;
	}
	public String getSeventeentaskid(){
		return seventeentaskid;
	}
	public void setEighteenstate(int eighteenstate){
		this.eighteenstate = eighteenstate;
	}
	public int getEighteenstate(){
		return eighteenstate;
	}
	public void setEighteentaskid(String eighteentaskid){
		this.eighteentaskid = eighteentaskid;
	}
	public String getEighteentaskid(){
		return eighteentaskid;
	}
	public void setNineteenstate(int nineteenstate){
		this.nineteenstate = nineteenstate;
	}
	public int getNineteenstate(){
		return nineteenstate;
	}
	public void setNineteentaskid(String nineteentaskid){
		this.nineteentaskid = nineteentaskid;
	}
	public String getNineteentaskid(){
		return nineteentaskid;
	}
	public void setTwentystate(int twentystate){
		this.twentystate = twentystate;
	}
	public int getTwentystate(){
		return twentystate;
	}
	public void setTwentytaskid(String twentytaskid){
		this.twentytaskid = twentytaskid;
	}
	public String getTwentytaskid(){
		return twentytaskid;
	}
	public void setTwentyonestate(int twentyonestate){
		this.twentyonestate = twentyonestate;
	}
	public int getTwentyonestate(){
		return twentyonestate;
	}
	public void setTwentyonetaskid(String twentyonetaskid){
		this.twentyonetaskid = twentyonetaskid;
	}
	public String getTwentyonetaskid(){
		return twentyonetaskid;
	}
	public void setTwentytwostate(int twentytwostate){
		this.twentytwostate = twentytwostate;
	}
	public int getTwentytwostate(){
		return twentytwostate;
	}
	public void setTwentytwotaskid(String twentytwotaskid){
		this.twentytwotaskid = twentytwotaskid;
	}
	public String getTwentytwotaskid(){
		return twentytwotaskid;
	}
	public void setTwentythreestate(int twentythreestate){
		this.twentythreestate = twentythreestate;
	}
	public int getTwentythreestate(){
		return twentythreestate;
	}
	public void setTwentythreetaskid(String twentythreetaskid){
		this.twentythreetaskid = twentythreetaskid;
	}
	public String getTwentythreetaskid(){
		return twentythreetaskid;
	}
	public void setTwentyfourstate(int twentyfourstate){
		this.twentyfourstate = twentyfourstate;
	}
	public int getTwentyfourstate(){
		return twentyfourstate;
	}
	public void setTwentyfourtaskid(String twentyfourtaskid){
		this.twentyfourtaskid = twentyfourtaskid;
	}
	public String getTwentyfourtaskid(){
		return twentyfourtaskid;
	}
	public void setRecordlabelstatus(int recordlabelstatus){
		this.recordlabelstatus = recordlabelstatus;
	}
	public int getRecordlabelstatus(){
		return recordlabelstatus;
	}
	public void setRecordlabeltime(String recordlabeltime){
		this.recordlabeltime = recordlabeltime;
	}
	public String getRecordlabeltime(){
		return recordlabeltime;
	}
	public void setVideolabelaccount(String videolabelaccount){
		this.videolabelaccount = videolabelaccount;
	}
	public String getVideolabelaccount(){
		return videolabelaccount;
	}
	public void setCreateaccount(String createaccount){
		this.createaccount = createaccount;
	}
	public String getCreateaccount(){
		return createaccount;
	}
	public void setCreatetime(String createtime){
		this.createtime = createtime;
	}
	public String getCreatetime(){
		return createtime;
	}
	public void setModifyaccount(String modifyaccount){
		this.modifyaccount = modifyaccount;
	}
	public String getModifyaccount(){
		return modifyaccount;
	}
	public void setModifytime(String modifytime){
		this.modifytime = modifytime;
	}
	public String getModifytime(){
		return modifytime;
	}
	public void setRemarks(String remarks){
		this.remarks = remarks;
	}
	public String getRemarks(){
		return remarks;
	}
	public void setExtend1(String extend1){
		this.extend1 = extend1;
	}
	public String getExtend1(){
		return extend1;
	}
	public void setExtend2(String extend2){
		this.extend2 = extend2;
	}
	public String getExtend2(){
		return extend2;
	}
	public void setExtend3(String extend3){
		this.extend3 = extend3;
	}
	public String getExtend3(){
		return extend3;
	}
	public void setExtend4(String extend4){
		this.extend4 = extend4;
	}
	public String getExtend4(){
		return extend4;
	}
}